Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2565983002: Implicit prefinalizer registration. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months, 1 week ago by sof
Modified:
7 months, 1 week ago
CC:
chromium-reviews, blink-reviews, haraken, kouhei+heap_chromium.org, oilpan-reviews, Mads Ager (chromium)
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implicit prefinalizer registration. Switch to implicit registration of prefinalizers along with removing the ability to dynamically unregister a prefinalizer; the latter being an unused feature. The requirement to manually register a prefinalizer has proven to be a chore and a source of bugs. Case in point: HTMLCanvasElement currently declares a prefinalizer, but doesn't register it. Simplify the programming model by automatically registering prefinalizers. R=haraken BUG=673645 Committed: https://crrev.com/bc86f5fb6fa58808c4d7937b6279e89d977b6b69 Cr-Commit-Position: refs/heads/master@{#438110}

Patch Set 1 #

Patch Set 2 : fix HTMLCanvasElement prefinalizer #

Patch Set 3 : recast registration class #

Patch Set 4 : recast registration class #

Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -67 lines) Patch
M third_party/WebKit/Source/core/html/HTMLCanvasElement.cpp View 1 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/heap/BlinkGCAPIReference.md View 1 chunk +0 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/HeapTest.cpp View 7 chunks +1 line, -21 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/ThreadState.h View 1 2 3 4 chunks +35 lines, -38 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   linux_android_rel_ng   linux_android_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   linux_android_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   chromium_presubmit   linux_android_rel_ng   linux_android_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 37 (25 generated)
sof
please take a look. The prefinalizer for HTMLCanvasElement is enabled here. i.e., r399587 wasn't effective. ...
7 months, 1 week ago (2016-12-11 19:36:04 UTC) #15
haraken
LGTM
7 months, 1 week ago (2016-12-12 00:51:09 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2565983002/60001
7 months, 1 week ago (2016-12-12 07:15:48 UTC) #20
sof
Out of the 40+ classes that use prefinalizers, Animation is an outlier. It conditionally registers ...
7 months, 1 week ago (2016-12-12 07:37:41 UTC) #22
Justin Novosad
lgtm
7 months, 1 week ago (2016-12-12 15:19:05 UTC) #23
sof
On 2016/12/12 07:37:41, sof wrote: > Out of the 40+ classes that use prefinalizers, Animation ...
7 months, 1 week ago (2016-12-12 15:22:54 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2565983002/60001
7 months, 1 week ago (2016-12-12 21:58:24 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/287348) linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
7 months, 1 week ago (2016-12-13 00:26:53 UTC) #28
Ken Russell (switch to Gerrit)
Looks fine. I would suggest you file a bug about this and reference it from ...
7 months, 1 week ago (2016-12-13 01:26:09 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2565983002/60001
7 months, 1 week ago (2016-12-13 06:32:28 UTC) #32
commit-bot: I haz the power
Committed patchset #4 (id:60001)
7 months, 1 week ago (2016-12-13 09:29:30 UTC) #35
commit-bot: I haz the power
7 months, 1 week ago (2016-12-13 09:32:05 UTC) #37
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/bc86f5fb6fa58808c4d7937b6279e89d977b6b69
Cr-Commit-Position: refs/heads/master@{#438110}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973